<?php
	if (!isset($_SESSION["admin"]["id"])) {
		echo "<script>location.href='index.php';</script>";
	}
?>
<h1 class="page-header">
    
    	<div class="row">
    		<div class="col-md-7 col-sm-6">
    			Relatório de Acessos
            </div>

    	</div>
    
</h1>

<div class="container" style="width: 90%">

	<form name="form1" method="post" class="text-center form-inline">
		<label>Empresa:
		<input type="text" placeholder="Digite uma parte do nome da empresa"
		class="form-control" name="empresa"></label>

		<button type="submit" class="btn btn-success">Listar Acessos</button>

	</form>

	<br><br>

	<table class="table table-bordered table-hover table-striped">
		<thead>
			<tr>
				<td>Empresa</td>
				<td>Ip</td>
				<td>Data de Acesso</td>
			</tr>
		</thead>
		<tbody>
		<?php
			if ( $_POST ) {

				$palavra = "";
				if ( isset ( $_POST["empresa"] ) ) $palavra = trim ( $_POST["empresa"] );
				$palavra = "%$palavra%";

				$sql = "select c.nome, date_format(a.data,'%d/%m/%Y %H:%s') data, a.ip 
					from acesso a 
					inner join cliente c on (c.id = a.cliente_id)
					where c.nome like ? order by a.data desc";
				$consulta = $db->prepare($sql);
				$consulta->bindParam(1, $palavra);
	            $consulta->execute();

	            while ( $dados = $consulta->fetch(PDO::FETCH_OBJ) ) {

	                echo "<tr><td>$dados->nome</td><td>$dados->ip</td><td>$dados->data</td></tr>";

	            }

	        }

		?>
		</tbody>
	</table>

	<script type="text/javascript">
		$(document).ready(function () {
			$("table").dataTabe();
		})
	</script>
</div>